import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddTransactionIdToQueueOrder1729653046392
  implements MigrationInterface
{
  name = 'AddTransactionIdToQueueOrder1729653046392';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "queue_orders" ADD "transaction_id" character varying NOT NULL`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "queue_orders" DROP COLUMN "transaction_id"`,
    );
  }
}
